﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Drawing;


namespace WakeMeUp.basicas
{
    public class Usuario
    {
        private string _nome;
        private string _sobrenome;
        private string _email;
        private string _login;
        private string _senha;
        private int _id;
        private int _sexo;
        private double _altura;
        private DateTime _nascimento;
        private List<Usuario> _motivadores;
        private List<Atividade> _HistoricoAtividades;
        private List<Refeicao> _HistoricoRefeicoes;
        private List<Meta> _HistoricoMetas;
        private List<Peso> _HistoricoPesos;
        private List<Mensagem> _HistoricoMensagens;
        private List<Foto> _albumDeFotos;

        public Usuario() { }

        public Usuario(string nome, string sobrenome, string email, string login, string senha, int sexo, double altura, DateTime nascimento)
        {
            this._nome = nome;
            this._sobrenome = sobrenome;
            this._sexo = sexo;
            this._login = login;
            this._email = email;
            this._senha = senha;
            this._nascimento = nascimento;
            this._altura = altura;
            this._motivadores = new List<Usuario>();
            this._HistoricoAtividades = new List<Atividade>();
            this._HistoricoRefeicoes = new List<Refeicao>();
            this._HistoricoMetas = new List<Meta>();
            this._HistoricoPesos = new List<Peso>();
        }

        
        #region Propriedades
        public int Id
        {
            get { return this._id; }
            set { this._id = value; }
        }
        public int Sexo
        {
            get { return this._sexo; }
            set { this._sexo = value; }
        }
        public DateTime Nascimento
        {
            get { return this._nascimento; }
            set { this._nascimento = value; }
        }
        public string Nome
        {
            get { return this._nome; }
            set { this._nome = value; }
        }
        public string Sobrenome
        {
            get { return this._sobrenome; }
            set { this._sobrenome = value; }
        }
        public double Altura 
        {
            get { return this._altura; }
            set { this._altura = value; }
        }
        public string Senha
        {
            get { return this._senha; }
            set { this._senha = value; }
        }
        public string Email
        {
            get { return this._email; }
            set { this._email = value; }
        }
        public string Login
        {
            get { return this._login; }
            set { this._login = value; }
        }
        public List<Atividade> Atividade
        {
            get { return this._HistoricoAtividades; }
            set { this._HistoricoAtividades = value; }
        }
        public List<Peso> Peso 
        {
            get { return this._HistoricoPesos; }
            set { this._HistoricoPesos = value; }
        }
        public List<Meta> Meta
        {
            get { return this._HistoricoMetas; }
            set { this._HistoricoMetas = value; }
        }
        public List<Refeicao> Refeicao 
        {
            get { return this._HistoricoRefeicoes; }
            set { this._HistoricoRefeicoes = value; }
        }
        public List<Mensagem> Mensagem 
        {
            get { return this._HistoricoMensagens; }
            set { this._HistoricoMensagens = value; }
        }
        public List<Foto> Album 
        {
            get { return this._albumDeFotos; }
            set { this._albumDeFotos = value; }
        }
        #endregion

    }
}
