﻿using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using WakeMeUp.basicas;
using WakeMeUp.negocio;

namespace WakeMeUp.fachada
{
    public class Fachada
    {
        private NegocioUsuario negocioUsuario;
        public static Fachada instancia;

        public Fachada() 
        {
            this.negocioUsuario = new NegocioUsuario();
        }

        public static Fachada getInstacia()
        {
		    if (instancia == null) {
			    instancia = new Fachada();
		    }
		    return instancia;
	    }

        public bool cadastrar(Usuario usuario) 
        {
            return this.negocioUsuario.cadastrar(usuario);
        }

        public bool editar(Usuario usuario)
        {
            return this.negocioUsuario.editar(usuario);
        }

        public bool remover(Usuario usuario)
        {
            return this.negocioUsuario.remover(usuario);
        }

        public bool adicionarAtividade(Atividade atividade, Usuario usuario)
        {
            return this.negocioUsuario.adicionarAtividade(atividade, usuario);
        }

        public bool removerAtividade(Atividade atividade) 
        {
            return this.negocioUsuario.removerAtividade(atividade);
        }

        public bool adicionarMensagem(Mensagem mensagem, Usuario usuario)
        {
            return this.negocioUsuario.adicionarMensagem(mensagem, usuario);
        }

        public bool removerMensagem(Mensagem mensagem) 
        {
            return this.negocioUsuario.removerMensagem(mensagem);
        }

        public bool adicionarMeta(Meta meta, Usuario usuario)
        {
            return this.negocioUsuario.adicionarMeta(meta, usuario);
        }

        public bool removerMeta(Meta meta) 
        {
            return this.negocioUsuario.removerMeta(meta);
        }

        public bool adicionarPeso(Peso peso, Usuario usuario) 
        {
            return this.negocioUsuario.adicionarPeso(peso, usuario);
        }

        public bool removerPeso(Peso peso) 
        {
            return this.negocioUsuario.removerPeso(peso);
        }

        public bool adicionarRefeicao(Refeicao refeicao, Usuario usuario)
        {
            return this.negocioUsuario.adicionarRefeicao(refeicao, usuario);
        }

        public bool removerRefeicao(Refeicao refeicao) 
        {
            return this.negocioUsuario.removerRefeicao(refeicao);
        }

        public bool adicionarMotivador(Usuario motivador, Usuario motivado)
        {
            return this.negocioUsuario.adicionarMotivador(motivador, motivado);
        }

        public bool removerMotivador(Usuario motivador, Usuario motivado)
        {
            return this.negocioUsuario.removerMotivador(motivador, motivado);
        }

        public bool adicionarFoto(Usuario usuario, Foto foto) 
        {
            return this.negocioUsuario.adicionarFoto(usuario, foto);
        }

        public bool removerFoto(Foto foto) 
        {
            return this.negocioUsuario.removerFoto(foto);
        }

        public Usuario buscarPorLogin(Usuario usuario)
        {
              return negocioUsuario.buscarPorLogin(usuario);        
        }

        public List<Atividade> buscarAtividades(Usuario usuario)
        {
            return negocioUsuario.buscarAtividades(usuario);
        }

        public List<Mensagem> buscarMensagens(Usuario usuario)
        {
            return negocioUsuario.buscarMensagens(usuario);
        }

        public List<Meta> buscarMetas(Usuario usuario)
        {
            return negocioUsuario.buscarMetas(usuario);
        }

        public List<Peso> buscarPesos(Usuario usuario)
        {
            return negocioUsuario.buscarPesos(usuario);
        }

        public List<Refeicao> buscarRefeicao(Usuario usuario)
        {
            return negocioUsuario.buscarRefeicao(usuario);
        }

        public List<Usuario> buscarTodosMotivadores(Usuario motivado)
        {
            return negocioUsuario.buscarTodosMotivadores(motivado);
        }

        public List<Foto> buscarFotos(Usuario usuario)
        {
            return negocioUsuario.buscarFotos(usuario);         
        }

    }
}
