﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI.WebControls;
using WakeMeUp.basicas;

namespace WakeMeUp.interfaceRepositorio
{
    public interface InterfaceRepUsuario
    {
        #region InterfaceRepUsuario Members
        void cadastrar(Usuario usuario);
        void editar(Usuario usuario);
        void remover(Usuario usuario);
        Usuario buscarPorLogin(Usuario usuario);
        void adicionarAtividade(Atividade atividade, Usuario usuario);
        void removerAtividade(Atividade atividade);
        List<Atividade> buscarAtividades(Usuario usuario);
        void adicionarMensagem(Mensagem mensagem, Usuario usuario);
        void removerMensagem(Mensagem mensagem);
        List<Mensagem> buscarMensagens(Usuario usuario);
        void adicionarMeta(Meta meta, Usuario usuario);
        void removerMeta(Meta meta);
        List<Meta> buscarMetas(Usuario usuario);
        void adicionarPeso(Peso peso, Usuario usuario);
        void removerPeso(Peso peso);
        List<Peso> buscarPesos(Usuario usuario);
        void adicionarRefeicao(Refeicao refeicao, Usuario usuario);
        void removerRefeicao(Refeicao refeicao);
        List<Refeicao> buscarRefeicao(Usuario usuario);
        void adicionarMotivador(Usuario motivador, Usuario motivado);
        void removerMotivador(Usuario motivador, Usuario motivado);
        List<Usuario> buscarTodosMotivadores(Usuario motivado);
        void adicionarFoto(Usuario usuario, Foto foto);
        void removerFoto(Foto foto);
        List<Foto> buscarFotos(Usuario usuario);
        #endregion
    }
}
